var HTTPS, User;
HTTPS = require("https");
User = (function() {
  function User(data) {
    this.data = data;
    this.login = this.data.login;
  }
  User.prototype.memberOf = function(name, callback) {
    var isMember, params, path, req;
    path = "/api/v2/json/user/show/" + this.login + "/organizations";
    params = {
      host: "github.com",
      path: path
    };
    isMember = false;
    console.log(path);
    req = HTTPS.request(params, function(res) {
      var body;
      body = "";
      res.setEncoding("utf8");
      res.on("end", function() {
        var orgs;
        orgs = JSON.parse(body);
        orgs.organizations.forEach(function(element) {
          if (element.login === name) {
            return isMember = true;
          }
        });
        return callback(null, isMember);
      });
      return res.on("data", function(chunk) {
        return body += chunk;
      });
    });
    return req.end();
  };
  return User;
})();
exports.User = User;